package rete;

import java.io.BufferedOutputStream;
import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;
import java.io.PrintWriter;
import java.net.Socket;

import javax.swing.JTextArea;

public class Client implements Runnable {
	private JTextArea area;
	private Socket socket = null;

	public Client(JTextArea area) {
		this.area = area;
	}

	public void avvia() {
		area.append("[CLIENT] Provo a connettermi al server...\n");			
		try {
			socket = new Socket("localhost", 8000);
			area.append("[CLIENT] Connessione stabilita...\n");
			Thread t = new Thread(this);
			t.start();
		} catch (IOException e) {
			area.append("[CLIENT] Errore connessione: " + e.getMessage() + "...\n");			
		}		
	}
	
	public void inviaMessaggio(String text) {
		if(socket == null)
			return;		
		try {
			PrintWriter out = new PrintWriter(new BufferedOutputStream(socket.getOutputStream()), true);
			out.append(text+"\n");
			out.flush();
		} catch (IOException e) {
			area.append("[CLIENT] Errore connessione: " + e.getMessage() + "...\n");
		}
		
	}

	@Override
	public void run() {
		try {
			if(socket == null)
				return;
			BufferedReader in = new BufferedReader(new InputStreamReader(socket.getInputStream()));			
			while (true) {
				if(in.ready()) {
					area.append("[CLIENT] Il server mi ha scritto: " + in.readLine() + "\n");					
				}								
			}
		} catch (IOException e) {
			area.append("[CLIENT] Errore connessione: " + e.getMessage() + "...\n");
		}
	}
}
