package rete;

import java.io.BufferedOutputStream;
import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;
import java.io.PrintWriter;
import java.net.Socket;

import javax.swing.JTextArea;

public class GestoreMessaggi implements Runnable {

	private Socket socket;
	private JTextArea area;

	public GestoreMessaggi(Socket socket, JTextArea area) {
		this.socket = socket;
		this.area = area;
	}

	@Override
	public void run() {
		try {
			PrintWriter out = new PrintWriter(new BufferedOutputStream(socket.getOutputStream()), true);
			BufferedReader in = new BufferedReader(new InputStreamReader(socket.getInputStream()));
			out.append("Ciao client\n");
			out.flush();
			
			while (true) {
				if (in.ready()) {
					area.append("[SERVER] Il client mi ha scritto: " + in.readLine() + "\n");
				}
			}
		} catch (IOException e) {
			area.append("[SERVER] Errore connessione: " + e.getMessage() + "...\n");
			return;
		}
	}
}
