package rete;

import java.io.IOException;
import java.net.ServerSocket;
import java.net.Socket;

import javax.swing.JTextArea;

public class Server implements Runnable {

	private ServerSocket server;
	private JTextArea area;
	
	public Server(JTextArea area) {
		this.area = area;		
	}
	
	public void avvia() {
		try {
			server = new ServerSocket(8000);
			Thread t = new Thread(this);
			t.start();
		} catch (IOException e) {
			area.append("[SERVER] Errore avvio server: " + e.getMessage() + "...\n");
		}		
	}	
	
	@Override
	public void run() {
		while(true) {
			try {
				area.append("[SERVER] Server attivo. In attesa di connessioni...\n");
				Socket socket = server.accept();
				area.append("[SERVER] Connessione stabilita...\n");
				GestoreMessaggi g = new GestoreMessaggi(socket, area);
				Thread t = new Thread(g);
				t.start();
			} catch (IOException e) {
				area.append("[SERVER] Errore connessione " + e.getMessage() + "\n");
				return;
			}
		}
	}
}
